org.apache.avro.path

## Class LocationStep

- java.lang.Object
- - org.apache.avro.path.LocationStep

- All Implemented Interfaces:
    PathElement

      public class LocationStep
      extends Object
      implements PathElement

  Selects items based on their "path" (name of a property under which they are stored) relative to the context.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocationStep(String selector, String propertyName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocationStep

          public LocationStep(String selector,
                              String propertyName)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.